{ rustPlatform
, stdenv
, fetchFromGitHub
, callPackage
, bash
}:

let
  naersk = callPackage (import (fetchFromGitHub {
    owner = "nmattia";
    repo = "naersk";
    rev = "b3b328b088009972e6844f57c97807f6090fa004";
    sha256 = "152fl2c174zisl2bcky7xspwhc2s8ys2qdv6nvfhqav5x1rbngbp";
  })) {};

in
  naersk.buildPackage rec {
    version = "5acc112a9749063a554e3626a6055bb88f093468";

    src = builtins.fetchGit {
      url = "https://github.com/casey/just.git";
      rev = version;
    };
    doDoc = false;
    doCheck = false;
  }
